"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Select_1 = require("../Select");
var isBoolean = require("lodash/isBoolean");
var isString = require("lodash/isString");
exports.Edit = function (_a) {
    var value = _a.value, onChange = _a.onChange, props = __rest(_a, ["value", "onChange"]);
    return (React.createElement(Select_1.default, __assign({}, props, { value: value ? 'true' : 'false', onChange: function (e) { return onChange(e.target.value === 'true'); } }),
        React.createElement("option", null, "true"),
        React.createElement("option", null, "false")));
};
exports.rules = {
    'is true': function (target) { return !!target; },
    'is false': function (target) { return !target; }
};
exports.validate = isBoolean;
exports.normalize = function (value) {
    if (isString(value)) {
        switch (value.toLowerCase()) {
            case 'true':
            case 'yes':
            case '1':
                return true;
            case 'false':
            case 'no':
            case '0':
                return false;
            default:
                return !!value;
        }
    }
    return !!value;
};
exports.Display = function (_a) {
    var data = _a.data, props = __rest(_a, ["data"]);
    return (React.createElement("div", __assign({}, props),
        React.createElement("span", null, data ? 'true' : 'false')));
};
