"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Select_1 = require("../Select");
var isString = require("lodash/isString");
var map = require("lodash/map");
exports.Edit = function (_a) {
    var schema = _a.schema, value = _a.value, onChange = _a.onChange, props = __rest(_a, ["schema", "value", "onChange"]);
    return (React.createElement(Select_1.default, __assign({}, props, { value: value, onChange: function (e) { return onChange(e.target.value); } }), map(schema.values, function (item) {
        if (isString(item)) {
            return React.createElement("option", { key: item }, item);
        }
        else {
            return (React.createElement("option", { key: item, value: item.value }, item.label));
        }
    })));
};
exports.rules = {
    is: function (target, value) { return target === value; },
    'is not': function (target, value) { return target !== value; }
};
exports.normalize = function (value) { return value; };
exports.validate = function (value) { return !!value; };
exports.Display = function (_a) {
    var data = _a.data, props = __rest(_a, ["data"]);
    return (React.createElement("div", __assign({}, props),
        React.createElement("span", null, data)));
};
