"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var styled_system_1 = require("styled-system");
var utils_1 = require("../utils");
exports.caps = function (props) {
    return props.caps
        ? {
            textTransform: 'uppercase',
            letterSpacing: '0.2em'
        }
        : null;
};
exports.bold = function (props) {
    return props.bold
        ? { fontWeight: props.theme.weights[props.theme.weights.length - 1] }
        : null;
};
var align = styled_system_1.responsiveStyle('text-align', 'align');
var Text = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  ", " ", " ", " ", " ", " ", " ", ";\n"], ["\n  ", " ", " ", " ", " ", " ", " ", ";\n"])), styled_system_1.fontSize, styled_system_1.space, styled_system_1.color, exports.caps, exports.bold, align, utils_1.monospace);
Text.displayName = 'Text';
Text.span = Text.withComponent('span');
Text.p = Text.withComponent('p');
exports.default = Text;
var templateObject_1;
