"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var CodeWithCopy_1 = require("../components/CodeWithCopy");
var Grid_1 = require("../components/Grid");
var Link_1 = require("../components/Link");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('CodeWithCopy', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Standard', function () {
    return (React.createElement(CodeWithCopy_1.default, { text: 'click me', copy: 'This value has been copied to your clipboard!' }));
})
    .addWithInfo('Inside clickable element', function () {
    return (React.createElement(Link_1.default, { href: '#foobar', style: { display: 'block' } },
        React.createElement(Grid_1.Flex, null,
            React.createElement(Grid_1.Box, { mr: 5 }, "Link Text"),
            React.createElement(Grid_1.Box, null,
                React.createElement(CodeWithCopy_1.default, { color: '#333', text: 'click me', copy: 'This value has been copied to your clipboard!' })))));
});
var templateObject_1;
