"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var Text_1 = require("../components/Text");
var Heading_1 = require("../components/Heading");
var Link_1 = require("../components/Link");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 60px;\n"], ["\n  margin: 60px;\n"])));
react_1.storiesOf('Typography', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Headings', function () {
    return (React.createElement("div", null,
        React.createElement(Heading_1.default.h1, null, "Heading h1"),
        React.createElement(Heading_1.default.h2, null, "Heading h2"),
        React.createElement(Heading_1.default.h3, null, "Heading h3"),
        React.createElement(Heading_1.default.h4, null, "Heading h4"),
        React.createElement(Heading_1.default.h5, null, "Heading h5"),
        React.createElement(Heading_1.default.h6, null, "Heading h6")));
})
    .addWithInfo('Text', function (props) {
    return (React.createElement("div", null,
        React.createElement(Text_1.default, null, "Standard text"),
        React.createElement(Text_1.default, { align: 'center' }, "Centered"),
        React.createElement(Text_1.default, { align: 'right' }, "Right"),
        React.createElement(Text_1.default, { bold: true }, "Bold"),
        React.createElement(Text_1.default, { monospace: true }, "Monospace"),
        React.createElement(Text_1.default.span, { color: 'blue' }, "Inline "),
        React.createElement(Text_1.default.span, { color: 'red' }, "Inline "),
        React.createElement(Text_1.default.span, { color: 'yellow' }, "Inline ")));
})
    .addWithInfo('Link', function (props) {
    return (React.createElement("div", null,
        React.createElement("div", null,
            React.createElement(Link_1.default, { href: "#" }, "Internal Link")),
        React.createElement("div", null,
            React.createElement(Link_1.default, { href: "https://resin.io", blank: true }, "External Link")),
        React.createElement("div", null,
            React.createElement(Link_1.default, { disabled: true, href: "https://resin.io", blank: true }, "Disabled Link"))));
});
var templateObject_1;
