"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var recompose_1 = require("recompose");
var utils_1 = require("../utils");
var react_aria_tooltip_1 = require("react-aria-tooltip");
var hoc_1 = require("../hoc");
var Tooltip = styled_components_1.default(react_aria_tooltip_1.default)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  .ra-tooltip {\n    border-radius: ", ";\n\n    p {\n      padding: 3px 8px;\n      font-size: 12px;\n    }\n  }\n"], ["\n  .ra-tooltip {\n    border-radius: ", ";\n\n    p {\n      padding: 3px 8px;\n      font-size: 12px;\n    }\n  }\n"])), function (props) { return utils_1.px(props.theme.radius); });
exports.default = recompose_1.compose(styled_components_1.withTheme, hoc_1.default)(Tooltip);
var templateObject_1;
